//
//  ScanAnimView.swift
//  Barcode
//
//  Created by Zeitech Solutions on 29/08/19.
//  Copyright © 2019 Zeitech Solutions. All rights reserved.
//

import UIKit

class ScanAnimView: UIView {
    
    var squareSize : Int = 100
    var gapSize : Int = 30
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        self.backgroundColor = UIColor.clear
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func draw(_ rect: CGRect) {
        let width : Int = Int(self.frame.width)
        let height : Int = Int(self.frame.height)
        
        let context = UIGraphicsGetCurrentContext()
        context!.setLineWidth(2.0)
        context!.setStrokeColor(UIColor.green.cgColor)
        
        context?.move(to: CGPoint(x: width / 2 - squareSize, y: height / 2 - squareSize ))
        context?.addLine(to: CGPoint(x: width / 2 - gapSize, y: height / 2 - squareSize))
        
        context?.move(to: CGPoint(x: width / 2 - squareSize, y: height / 2 - squareSize ))
        context?.addLine(to: CGPoint(x: width / 2 - squareSize, y: height / 2 - gapSize))
        
        context?.move(to: CGPoint(x: width / 2 - squareSize, y: height / 2 + squareSize ))
        context?.addLine(to: CGPoint(x: width / 2 - squareSize, y: height / 2 + gapSize))
        
        context?.move(to: CGPoint(x: width / 2 - squareSize, y: height / 2 + squareSize ))
        context?.addLine(to: CGPoint(x: width / 2 - gapSize, y: height / 2 + squareSize))
        
        context?.move(to: CGPoint(x: width / 2 + squareSize, y: height / 2 - squareSize ))
        context?.addLine(to: CGPoint(x: width / 2 + gapSize, y: height / 2 - squareSize))
        
        context?.move(to: CGPoint(x: width / 2 + squareSize, y: height / 2 - squareSize ))
        context?.addLine(to: CGPoint(x: width / 2 + squareSize, y: height / 2 - gapSize))
        
        context?.move(to: CGPoint(x: width / 2 + squareSize, y: height / 2 + squareSize ))
        context?.addLine(to: CGPoint(x: width / 2 + squareSize, y: height / 2 + gapSize))
        
        context?.move(to: CGPoint(x: width / 2 + squareSize, y: height / 2 + squareSize ))
        context?.addLine(to: CGPoint(x: width / 2 + gapSize, y: height / 2 + squareSize))
        
        context!.strokePath()
        context?.setFillColor(UIColor.gray.cgColor)
        context?.setAlpha(0.3)
        context?.fill(CGRect(x: 0, y: 0, width: width, height: height / 2 - squareSize))
        context?.fill(CGRect(x: 0, y: height / 2 - squareSize, width: width / 2 - squareSize, height: squareSize * 2 ))
        context?.fill(CGRect(x: width / 2 + squareSize, y: height / 2 - squareSize, width:  width / 2 - squareSize, height: squareSize * 2))
        context?.fill(CGRect(x: 0, y: height / 2 + squareSize, width: width, height: height))
        
        context!.setStrokeColor(UIColor.red.cgColor)
        context!.setLineWidth(3.0)
        context?.move(to: CGPoint(x: width / 2 - squareSize, y: height / 2  ))
        context?.addLine(to: CGPoint(x: width / 2 + squareSize, y: height / 2 ))
        context!.strokePath()
    }
}
