import Flutter
import UIKit

public class SwiftMultiplebarcodePlugin: NSObject, FlutterPlugin {

    static var vc : UIViewController? = nil
    
    init(pluginRegistrar: FlutterPluginRegistrar, uiViewController: UIViewController) {
        // delegate = FlutterPaytmPluginDelegate(registrar: pluginRegistrar, viewController: uiViewController)
    }

  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "multiplebarcode", binaryMessenger: registrar.messenger())
    let viewController: UIViewController = (UIApplication.shared.delegate?.window??.rootViewController)!
    vc = viewController
    let instance = SwiftMultiplebarcodePlugin(pluginRegistrar: registrar, uiViewController: viewController)
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if (call.method == "scanBarcode") {
        let args = call.arguments as? Dictionary<String, Any>
        let interval = args?["MULTIPLE_BARCODE_INTERVAL_SEC"] as? Int ?? 3
        let primaryColor = args?["PRIMARY_COLOR"] as? String ?? "#000000"
        let primaryDarkColor = args?["PRIMARY_DARK_COLOR"] as? String ?? "#000000"
        startBarcodeActivity(primaryColor: primaryColor, primaryDarkCOlor: primaryDarkColor, interval: interval,result : result)
    } else {
      result("Something went wrong.")
    }
     
  }
    
    public func startBarcodeActivity(primaryColor : String,primaryDarkCOlor : String,interval : Int, result: @escaping FlutterResult){
     
        let mainController = ViewController()
        mainController.result = result
        mainController.primaryColor = primaryColor
        mainController.prevController = SwiftMultiplebarcodePlugin.vc
        UIApplication.shared.delegate?.window??.rootViewController = MyNavigationController(rootViewController: mainController)
        
    }
}

class MyNavigationController: UINavigationController {
    override func viewDidLoad() {
        super.viewDidLoad()
        UIDevice.current.setValue(UIInterfaceOrientation.portrait.rawValue, forKey: "orientation")
    }
    override var shouldAutorotate: Bool {
        return false
    }
    override var supportedInterfaceOrientations: UIInterfaceOrientationMask {
        return .portrait
    }
    override var preferredInterfaceOrientationForPresentation: UIInterfaceOrientation {
        return .portrait
    }
}


